> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dynamic Status



## OpenAPI

````yaml /api-reference/openapi/lite.json get /settings/dynamic-status
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /settings/dynamic-status:
    get:
      summary: Get Dynamic Status
      operationId: get_dynamic_status_settings_dynamic_status_get
      parameters:
        - name: merchant_id
          in: query
          required: true
          schema:
            type: string
            title: Merchant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DynamicStatusConfig'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    DynamicStatusConfig:
      properties:
        new_in_days:
          type: integer
          title: New In Days
        bestseller_n_products:
          type: integer
          title: Bestseller N Products
        slowmover_n_products:
          type: integer
          title: Slowmover N Products
        low_in_stock_percentage:
          type: integer
          title: Low In Stock Percentage
        order_data_days:
          type: integer
          title: Order Data Days
        trending_n_products:
          type: integer
          title: Trending N Products
          default: 30
      type: object
      required:
        - new_in_days
        - bestseller_n_products
        - slowmover_n_products
        - low_in_stock_percentage
        - order_data_days
      title: DynamicStatusConfig
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````